#language: ru

@SalesOfProductsRLS

Функционал: 004. SalesOfProductsRLS. Дозаполнение данных по контрагентам

Сценарий: 004.1. SalesOfProductsRLS. Создание холдинга

	Дано Я подключаюсь под "Ведение контрагентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "16.004. РЛС Реализация товаров"
	Дано я удаляю объекты "Справочники.к2Холдинги" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Холдинги'
	Тогда я жду открытия окна 'Холдинги' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Холдинги (создание)'
	И в поле 'Наименование' я ввожу текст 'Холдинг-компания'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Холдинги (создание)' в течение 20 секунд
	Тогда открылось окно 'Холдинги'
	И я закрываю окно 'Холдинги'

Сценарий: 004.2. SalesOfProductsRLS. Заполнение холдинга

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	* Заполнение холдинга для Ашана
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Ашан'         |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Ашан (Контрагент)'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ашан (Контрагент)' в течение 20 секунд
		Тогда открылось окно 'Контрагенты'
	И Я закрываю окно 'Контрагенты'

Сценарий: 004.3. SalesOfProductsRLS. Завершение

	И я закрываю сеанс TESTCLIENT